/*
 * Copyright (C) 2011 Canonical, Ltd.
 *
 * This library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License
 * version 3.0 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3.0 for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library. If not, see
 * <http://www.gnu.org/licenses/>.
 *
 * Authored by Mikkel Kamstrup Erlandsen <mikkel.kamstrup@canonical.com>
 *
 */

/*
 * IMPLEMENTATION NOTE:
 * We want the generated C API to be nice and not too Vala-ish. We must
 * anticipate that libunity consumers will be written in both Vala , C,
 * and through GObject Introspection
 *
 */
 
using GLib;
 
namespace Unity {

  /**
   * Interface for anything that can be serialized to a GVariant.
   * This is useful both for persisting stuff to disk and for
   * sending across DBus.
   */
  public interface Serializable
  {
    /**
     * Create a GVariant describing the instance being serialized.
     *
     * @return A non-floating reference to a GVariant. If calling from C
     *         free it with g_variant_unref().
     */
    public abstract Variant serialize ();
    
  } /* interface Unity.Serializable */
  

} /* namespace */
